Name:           createrepo_c
Version:        0.10.3
Release:        1
License:        LGPL-2.1
Summary:        C language implemention of createrepo
Group:          System/Base
Source:         %{name}-%{version}.tar.gz
Source1001:     createrepo_c.manifest
BuildRequires:  libbz2-devel cmake libexpat-devel file-devel
BuildRequires:  libcurl-devel libxml2-devel python-devel gcc-c++
BuildRequires:  rpm-devel openssl-devel sqlite-devel doxygen
BuildRequires:  glib2-devel xz-devel

Requires: createrepo_c-devel = %{version}

%description
C language implemention of createrepo

%package devel
Summary:        Devel package of createrepo_c
Requires:       libcreaterepo_c0 = %{version}

%description devel
Devel package C language implemention of createrepo

%package -n libcreaterepo_c0
Summary:        Library package of createrepo_c

%description -n libcreaterepo_c0
Library package C language implemention of createrepo


%prep
%setup -q
cp %{SOURCE1001} .

%build
cmake -DCMAKE_SKIP_RPATH=ON \
      -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DENABLE_LEGACY_WEAKDEPS=ON

%{__make} %{?jobs:-j%jobs}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%install
make DESTDIR=%{buildroot} sysconfdir=%{_sysconfdir} install
for i in createrepo mergerepo modifyrepo sqliterepo;do
  ln -s  %{_bindir}/$i\_c %{buildroot}%{_bindir}/$i
  echo ".so man8/$i\_c.8" > %{buildroot}%{_mandir}/man8/$i\.8
done

%post -n libcreaterepo_c0 -p /sbin/ldconfig
%postun -n libcreaterepo_c0 -p /sbin/ldconfig

%files
%defattr(-, root, root,-)
%{_sysconfdir}/bash_completion.d/
%{_bindir}/createrepo_c
%{_bindir}/modifyrepo_c
%{_bindir}/sqliterepo_c
%{_bindir}/mergerepo_c
%{_bindir}/createrepo
%{_bindir}/mergerepo
%{_bindir}/modifyrepo
%{_bindir}/sqliterepo
%{_mandir}/*/*

%files devel
%defattr(-, root, root,-)
%{_libdir}/libcreaterepo_c.so
%{_libdir}/pkgconfig/createrepo_c.pc
%{_includedir}/createrepo_c
%{python_sitearch}/createrepo_c

%files -n libcreaterepo_c0
%defattr(-, root, root,-)
%{_libdir}/libcreaterepo_c.so.*

%changelog
